Upgrading from 4.5 to 9.2 - the most up-to-date way?

Discussion in '3DS - Flashcards & Custom Firmwares' started by Francesca, Dec 8, 2015.

  1. Francesca
    OP

    Francesca GBAtemp Regular

    Member
    208
    11
    Mar 17, 2015
    Armenia
    I've been meaning to update my CFW O3ds from 4.5 to 9.2 but found the instructions a bit confusing and incomplete to follow them with certainty. I'd really appreciate it if somebody could clear up some of my worries here.

    Tony_93, a very helpful user here, wrote:

    afaik I don't have either Ninjhax or PastaCFW installed (you install these, right?) - is it hard to do so and is there a good tutorial to consult anywhere on these forums?

    What is the update package I should look for on the iso website? Could somebody please at least help with a search query? I saw this done somewhere else on the forums so this is probably allowed. If not, please just edit this paragraph out of my post. I'd just like to know what I'm supposed to be looking for!

    Disabling firmlaunch is apparently the way to avoid the bricking of your 3DS, but where exactly is firmlaunch and how do I know when to disable it (do I do it inside some 3DS application like PastaCFW or something else, or do I do something with some kind of file while my SD card is inserted into the computer's card reader?). This seems really important but nothing really covers it in an understandable way.

    There's also this post from a topic dedicated to my goal specifically:

    The OP doesn't seem to imply ninjhax is to be used, but seems to assume Pasta is in use. Do I need both, either, something else?

    Again, very few details about the firmlauncher and what files I should be looking for. There was supposedly a way to get the files from 3DNUS but it won't work anymore so there's no point in getting 3DSNUS and those cias are meant to be found manually now? I hope I'm getting it right.

    Also, am I right in my understanding that all the installation are to be done in sysnand and not emunand? I mean, it's sysnand I'm trying to update but still.

    Many thanks in advance!
     
  2. Ammako

    Ammako GBAtemp Guru

    Member
    6,424
    3,547
    Dec 22, 2009
    Canada
    Try minipasta
    https://gbatemp.net/threads/need-hax-2-x-pasta-loader.400752/
    Supposed to be vanilla sysnand except with sig patches, no firmlaunch or anything.

    Should be relatively straightforward for updating with sysupdater that way. Just need a way for you to get sysupdater onto sysnand which should be fine if you run minipasta and then run hbl again, FBI 3dsx version should now have access to installing .cias, I believe.
     
  3. vb_encryption_vb

    vb_encryption_vb That hardmod guy....

    Member
    1,914
    917
    Nov 21, 2015
    United States
    Acworth, GA
    Search for 9.2.0-20U(Full)

    Install RXtools

    Use Rxtools to install FBI into sysNAND

    Install sysupdater, than load rxtools, boot into dev mode via advanced options.

    Run sysupdater, profit.
     
    MattKimura likes this.
  4. Francesca
    OP

    Francesca GBAtemp Regular

    Member
    208
    11
    Mar 17, 2015
    Armenia
    Any tutorial on minipasta?

    I already have Rxtools but everytime I boot into cfw through an online link, it installs from scratch for around 1 minute (I have to wait each time). Does that count as it being installed?

    Also, what about firmlauncher in sysupdater (or wherever it pops up)?
     
  5. Adeka

    Adeka Beta Tester

    Member
    4,149
    1,291
    Mar 19, 2013
    United States
    This means your firmware.bin is out of date

    Also the easiest way to update to 9.2 is with a cart

    Type 9.2 in the search bar and buy a game from your region shown

    http://www.3dsdb.com/
     
  6. Francesca
    OP

    Francesca GBAtemp Regular

    Member
    208
    11
    Mar 17, 2015
    Armenia
    I recall reading this being highly advised against; are you sure?
     
  7. VerseHell

    VerseHell GBAtemp Psycho!

    Member
    3,067
    1,067
    Jun 29, 2014
    France
    Don't update with a cart, it won't update you browser and some other stuff. Just use rxtools 2.5.2 devmode + sysupdater.
     
    Ammako likes this.
  8. Adeka

    Adeka Beta Tester

    Member
    4,149
    1,291
    Mar 19, 2013
    United States
    As long as your browser number is -7 or higher then it's fine
     
  9. Francesca
    OP

    Francesca GBAtemp Regular

    Member
    208
    11
    Mar 17, 2015
    Armenia
    Which firmware.bin should I look for exactly? I can't remember how I got the one I have right now. The waiting is annoying, even if I will be able to stay in cfw when I'm on 9.2 sysnand (still not quite sure how to go about getting there in my situation).

    Will Rxtools 2.6 do the trick? That appears to be the version I'm using. If so, any detailed guide on how to do it?
     
  10. VerseHell

    VerseHell GBAtemp Psycho!

    Member
    3,067
    1,067
    Jun 29, 2014
    France
    There is no devmode option in rxtools 2.6. And use the guide you quoted in your first post.
     
  11. Adeka

    Adeka Beta Tester

    Member
    4,149
    1,291
    Mar 19, 2013
    United States
    -Download latest rxtools nightly
    -Install python 2.7
    -run cdn_firm.py

    The reason why you need at least -7 on your browser is because the main entrypoint on 5.x-9.2 is your browser (any browser between 7 and 20 will work)
     
  12. Ammako

    Ammako GBAtemp Guru

    Member
    6,424
    3,547
    Dec 22, 2009
    Canada
    Hang on, nevermind. Realized that minipasta would only really work on 9.0-9.2, or i guess maybe if you had Cubic Ninja for Ninjhax 1.1b
     
  13. MelonGx

    MelonGx GBAtemp Advanced Maniac

    Member
    1,634
    439
    Jan 8, 2009
    China
    1. Install Sysupdater to SysNAND.
    - There are many of methods to install Sysupdater.
    -- Injected FBI (Note: It doesn't support Gateway Downgraded 4.X!)
    -- Gateway
    -- Palatine, PBT + Devmenu

    2. Use Sysupdater in Devmode to install 9.2.0-20 CIA full pack.
    - Palatine, PBT, Pasta 4.X Launcher, rxTools Devmode/Pasta mode are available.
    - Gateway, rxTools rxMode, CakesFW are NG.
     
    Last edited by MelonGx, Dec 9, 2015
  14. NoNAND

    NoNAND GBAtemp Advanced Fan

    Member
    684
    156
    Aug 22, 2015
    Ireland
    Pikachu City
    Get super smash bros and update your sysNAND at 9.2..
     
  15. wormdood

    wormdood pirate booty inspector

    Member
    3,934
    1,713
    Jan 3, 2014
    United States
    behind a parental advisory sticker
    taken from this thread [Tutorial] Installing rxTools Custom Firmware - (Old 3DS and 2DS)
     
    samiam144 likes this.
  16. Francesca
    OP

    Francesca GBAtemp Regular

    Member
    208
    11
    Mar 17, 2015
    Armenia
    ^ That's highly detailed; I think this is what I'll try first because I know how to take each step.

    Why does it not mention anything about firmlaunch though? Does it simply play no part in this way of installation?
     
  17. Sora Takihawa

    Sora Takihawa Keyblade Warrior

    Member
    1,766
    287
    Oct 11, 2015
    Germany
    Realm of Darkness
    i have a question. the only hb entypoint that works for me is ninjhax (with cn) but i have it only on my gateway redcard or cia but i ve read that i cant use gw for this method without bricking my 3ds what should i do?
     
  18. Quantumcat

    Quantumcat Dead and alive

    Member
    11,899
    6,382
    Nov 23, 2014
    Australia
    Canberra, Australia
    In DevMode, firmlaunch is disabled (in rxMode it's not and will brick).

    — Posts automatically merged - Please don't double post! —

    You need to get rxtools working on your 3ds. Use rxtools 2.5.2. If you can launch GW then you can use the same method to launch rxtools (as long as you don't have a Japanese n3ds on 8.1 firmware)
     
  19. Sora Takihawa

    Sora Takihawa Keyblade Warrior

    Member
    1,766
    287
    Oct 11, 2015
    Germany
    Realm of Darkness
    i have a o3ds xl 4.5E and i have the latest rx nightly and ive updated it to 9.2..... it worked
    but is it normal that most of the cias are already installed??
     
  20. wormdood

    wormdood pirate booty inspector

    Member
    3,934
    1,713
    Jan 3, 2014
    United States
    behind a parental advisory sticker
    rxtools and gateway share the same emunand so no its not weird that you can see your old cia games installed to your gateway emunand